#pragma once

#include "CoreMinimal.h"
#include "OnGameEventActionInterface.h"
#include "CompetenceAction.h"
#include "SurvivorScreamAction.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DBDCOMPETENCE_API USurvivorScreamAction : public UCompetenceAction, public IOnGameEventActionInterface
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _makeInstigatorScream;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _makeTargetScream;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _screamDuration;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _spawnBubbleIndicator;

public:
	USurvivorScreamAction();
};

FORCEINLINE uint32 GetTypeHash(const USurvivorScreamAction) { return 0; }
